WPG1Parser Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
WPG1Parser Class Reference

`#include <WPG1Parser.h>`

Inheritance diagram for WPG1Parser:

## Public Member Functions
| WPG1Parser (librevenge::RVNGInputStream *input, librevenge::RVNGDrawingInterface *painter)
bool | parse () override
Public Member Functions inherited from WPGXParser
| WPGXParser (librevenge::RVNGInputStream *input, librevenge::RVNGDrawingInterface *painter)
| WPGXParser (const WPGXParser &parser)
virtual | ~WPGXParser ()
virtual bool | parse ()=0
unsigned char | readU8 ()
unsigned short | readU16 ()
unsigned int | readU32 ()
short | readS16 ()
int | readS32 ()
unsigned int | readVariableLengthInteger ()
WPGXParser & | operator= (const WPGXParser &parser)

## Private Member Functions
void | handleStartWPG ()
void | handleEndWPG ()
void | handlePageFormat ()
void | handleFillAttributes ()
void | handleLineAttributes ()
void | handleColormap ()
void | handleLine ()
void | handlePolyline ()
void | handleRectangle ()
void | handlePolygon ()
void | handleEllipse ()
void | handleCurvedPolyline ()
void | handleGroup ()
void | closeGroup (bool force=false)
bool | decodeRLE (std::vector< unsigned char > &buffer, unsigned width, unsigned height, unsigned depth)
void | fillPixels (libwpg::WPGBitmap &bitmap, const unsigned char *buffer, unsigned width, unsigned height, unsigned depth)
void | handleBitmapTypeOne ()
void | handleBitmapTypeTwo ()
void | handlePostscriptTypeOne ()
void | handlePostscriptTypeTwo ()
void | handleGraphicsTextAttributes ()
void | handleGraphicsTextTypeOne ()
void | handleGraphicsTextTypeTwo ()
void | handleGraphicsTextTypeThree ()
void | resetPalette ()

## Private Attributes
int | m_recordLength
long | m_recordEnd
boost::optional< long > | m_groupEnd
bool | m_success
bool | m_exit
bool | m_graphicsStarted
int | m_width
int | m_height
librevenge::RVNGPropertyList | m_style
libwpg::WPGColor | m_penForeColor
libwpg::WPGColor | m_penBackColor
libwpg::WPGColor | m_brushForeColor
libwpg::WPGColor | m_brushBackColor
libwpg::WPGDashArray | m_dashArray
librevenge::RVNGPropertyListVector | m_gradient
libwpg::WPGColor | m_fontColor
unsigned | m_fontSize
unsigned | m_avgCharWidth
unsigned char | m_textAlign

## Additional Inherited Members
Protected Attributes inherited from WPGXParser
librevenge::RVNGInputStream * | m_input
librevenge::RVNGDrawingInterface * | m_painter
std::map< int, libwpg::WPGColor > | m_colorPalette

## Constructor & Destructor Documentation

## ◆ WPG1Parser()

WPG1Parser::WPG1Parser | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGDrawingInterface * | painter
| ) |  |

## Member Function Documentation

## ◆ closeGroup()

void WPG1Parser::closeGroup | ( | bool | force = `false` | ) |
| private

Referenced by handleEndWPG(), handleGroup(), and parse().

## ◆ decodeRLE()

bool WPG1Parser::decodeRLE | ( | std::vector< unsigned char > & | buffer,
|  | unsigned | width,
|  | unsigned | height,
|  | unsigned | depth
| ) |  |
| private

Referenced by handleBitmapTypeOne(), and handleBitmapTypeTwo().

## ◆ fillPixels()

void WPG1Parser::fillPixels | ( | libwpg::WPGBitmap & | bitmap,
|  | const unsigned char * | buffer,
|  | unsigned | width,
|  | unsigned | height,
|  | unsigned | depth
| ) |  |
| private

Referenced by handleBitmapTypeOne(), and handleBitmapTypeTwo().

## ◆ handleBitmapTypeOne()

void WPG1Parser::handleBitmapTypeOne | ( |  | ) |
| private

Referenced by parse().

## ◆ handleBitmapTypeTwo()

void WPG1Parser::handleBitmapTypeTwo | ( |  | ) |
| private

Referenced by parse().

## ◆ handleColormap()

void WPG1Parser::handleColormap | ( |  | ) |
| private

Referenced by parse().

## ◆ handleCurvedPolyline()

void WPG1Parser::handleCurvedPolyline | ( |  | ) |
| private

Referenced by parse().

## ◆ handleEllipse()

void WPG1Parser::handleEllipse | ( |  | ) |
| private

Referenced by parse().

## ◆ handleEndWPG()

void WPG1Parser::handleEndWPG | ( |  | ) |
| private

Referenced by handleStartWPG(), and parse().

## ◆ handleFillAttributes()

void WPG1Parser::handleFillAttributes | ( |  | ) |
| private

Referenced by parse().

## ◆ handleGraphicsTextAttributes()

void WPG1Parser::handleGraphicsTextAttributes | ( |  | ) |
| private

Referenced by parse().

## ◆ handleGraphicsTextTypeOne()

void WPG1Parser::handleGraphicsTextTypeOne | ( |  | ) |
| private

Referenced by parse().

## ◆ handleGraphicsTextTypeThree()

void WPG1Parser::handleGraphicsTextTypeThree | ( |  | ) |
| private

## ◆ handleGraphicsTextTypeTwo()

void WPG1Parser::handleGraphicsTextTypeTwo | ( |  | ) |
| private

Referenced by parse().

## ◆ handleGroup()

void WPG1Parser::handleGroup | ( |  | ) |
| private

Referenced by parse().

## ◆ handleLine()

void WPG1Parser::handleLine | ( |  | ) |
| private

Referenced by parse().

## ◆ handleLineAttributes()

void WPG1Parser::handleLineAttributes | ( |  | ) |
| private

Referenced by parse().

## ◆ handlePageFormat()

void WPG1Parser::handlePageFormat | ( |  | ) |
| private

Referenced by parse().

## ◆ handlePolygon()

void WPG1Parser::handlePolygon | ( |  | ) |
| private

Referenced by parse().

## ◆ handlePolyline()

void WPG1Parser::handlePolyline | ( |  | ) |
| private

Referenced by parse().

## ◆ handlePostscriptTypeOne()

void WPG1Parser::handlePostscriptTypeOne | ( |  | ) |
| private

Referenced by parse().

## ◆ handlePostscriptTypeTwo()

void WPG1Parser::handlePostscriptTypeTwo | ( |  | ) |
| private

Referenced by parse().

## ◆ handleRectangle()

void WPG1Parser::handleRectangle | ( |  | ) |
| private

Referenced by parse().

## ◆ handleStartWPG()

void WPG1Parser::handleStartWPG | ( |  | ) |
| private

Referenced by parse().

## ◆ parse()

bool WPG1Parser::parse | ( |  | ) |
| overridevirtual

Implements WPGXParser.

## ◆ resetPalette()

void WPG1Parser::resetPalette | ( |  | ) |
| private

Referenced by parse().

## Member Data Documentation

## ◆ m_avgCharWidth

unsigned WPG1Parser::m_avgCharWidth
| private

Referenced by handleGraphicsTextAttributes(), and handleGraphicsTextTypeOne().

## ◆ m_brushBackColor

libwpg::WPGColor WPG1Parser::m_brushBackColor
| private

Referenced by parse().

## ◆ m_brushForeColor

libwpg::WPGColor WPG1Parser::m_brushForeColor
| private

Referenced by handleFillAttributes(), parse(), and WPG1Parser().

## ◆ m_dashArray

libwpg::WPGDashArray WPG1Parser::m_dashArray
| private

Referenced by parse().

## ◆ m_exit

bool WPG1Parser::m_exit
| private

Referenced by handleEndWPG(), and parse().

## ◆ m_fontColor

libwpg::WPGColor WPG1Parser::m_fontColor
| private

Referenced by handleGraphicsTextAttributes(), and handleGraphicsTextTypeOne().

## ◆ m_fontSize

unsigned WPG1Parser::m_fontSize
| private

Referenced by handleGraphicsTextAttributes(), and handleGraphicsTextTypeOne().

## ◆ m_gradient

librevenge::RVNGPropertyListVector WPG1Parser::m_gradient
| private

Referenced by handleCurvedPolyline(), handleEllipse(), handleLine(), handlePolygon(), and handleRectangle().

## ◆ m_graphicsStarted

bool WPG1Parser::m_graphicsStarted
| private

Referenced by closeGroup(), handleBitmapTypeOne(), handleBitmapTypeTwo(), handleColormap(), handleCurvedPolyline(), handleEllipse(), handleEndWPG(), handleFillAttributes(), handleGraphicsTextAttributes(), handleGraphicsTextTypeOne(), handleGraphicsTextTypeTwo(), handleGroup(), handleLine(), handleLineAttributes(), handlePageFormat(), handlePolygon(), handlePolyline(), handlePostscriptTypeOne(), handlePostscriptTypeTwo(), handleRectangle(), handleStartWPG(), and parse().

## ◆ m_groupEnd

boost::optional<long> WPG1Parser::m_groupEnd
| private

Referenced by closeGroup(), and handleGroup().

## ◆ m_height

int WPG1Parser::m_height
| private

Referenced by handleBitmapTypeTwo(), handleCurvedPolyline(), handleEllipse(), handleGraphicsTextTypeOne(), handleGraphicsTextTypeTwo(), handleLine(), handlePolygon(), handlePolyline(), handlePostscriptTypeOne(), handlePostscriptTypeTwo(), handleRectangle(), and handleStartWPG().

## ◆ m_penBackColor

libwpg::WPGColor WPG1Parser::m_penBackColor
| private

Referenced by parse().

## ◆ m_penForeColor

libwpg::WPGColor WPG1Parser::m_penForeColor
| private

Referenced by handleLineAttributes(), parse(), and WPG1Parser().

## ◆ m_recordEnd

long WPG1Parser::m_recordEnd
| private

Referenced by decodeRLE(), handleCurvedPolyline(), handlePolygon(), handlePolyline(), handlePostscriptTypeOne(), handlePostscriptTypeTwo(), and parse().

## ◆ m_recordLength

int WPG1Parser::m_recordLength
| private

Referenced by parse().

## ◆ m_style

librevenge::RVNGPropertyList WPG1Parser::m_style
| private

Referenced by handleCurvedPolyline(), handleEllipse(), handleFillAttributes(), handleLine(), handleLineAttributes(), handlePolygon(), handlePolyline(), handleRectangle(), parse(), and WPG1Parser().

## ◆ m_success

bool WPG1Parser::m_success
| private

Referenced by parse().

## ◆ m_textAlign

unsigned char WPG1Parser::m_textAlign
| private

Referenced by handleGraphicsTextAttributes(), and handleGraphicsTextTypeOne().

## ◆ m_width

int WPG1Parser::m_width
| private

Referenced by handleStartWPG().

The documentation for this class was generated from the following files:

- WPG1Parser.h
- WPG1Parser.cpp